GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
gdcm::Trace Class Reference

Trace. More...

`#include <gdcmTrace.h>`

List of all members.

## Public Member Functions

| Trace ()
| ~Trace ()

## Static Public Member Functions

static void | DebugOff ()
static void | DebugOn ()
static void | ErrorOff ()
static void | ErrorOn ()
static bool | GetDebugFlag ()
static bool | GetErrorFlag ()
static std::ostream & | GetStream ()
static bool | GetWarningFlag ()
static void | SetDebug (bool debug)
static void | SetError (bool debug)
static void | SetStream (std::ostream &os)
| Explicitely set the ostream for gdcm::Trace to report to.
static void | SetWarning (bool debug)
static void | WarningOff ()
static void | WarningOn ()

## Detailed Description

Trace.

Debug / Warning and Error are encapsulated in this class by default the Trace class will redirect any debug/warning/error to std::cerr. Unless SetStream was specified with another (open) stream.

## Constructor & Destructor Documentation

gdcm::Trace::Trace | ( |  | ) |

gdcm::Trace::~Trace | ( |  | ) |

## Member Function Documentation

static void gdcm::Trace::DebugOff | ( |  | ) | `[static]`

Examples:
  TestReader.cxx.

static void gdcm::Trace::DebugOn | ( |  | ) | `[static]`

Examples:
  Fake_Image_Using_Stream_Image_Writer.cxx, and StreamImageReaderTest.cxx.

static void gdcm::Trace::ErrorOff | ( |  | ) | `[static]`

static void gdcm::Trace::ErrorOn | ( |  | ) | `[static]`

static bool gdcm::Trace::GetDebugFlag | ( |  | ) | `[static]`

static bool gdcm::Trace::GetErrorFlag | ( |  | ) | `[static]`

static std::ostream& gdcm::Trace::GetStream | ( |  | ) | `[static]`

static bool gdcm::Trace::GetWarningFlag | ( |  | ) | `[static]`

static void gdcm::Trace::SetDebug | ( | bool | debug | ) | `[static]`

Examples:
  DumpToSQLITE3.cxx.

static void gdcm::Trace::SetError | ( | bool | debug | ) | `[static]`

static void gdcm::Trace::SetStream | ( | std::ostream & | os | ) | `[static]`

Explicitely set the ostream for gdcm::Trace to report to.

static void gdcm::Trace::SetWarning | ( | bool | debug | ) | `[static]`

Examples:
  DumpToSQLITE3.cxx.

static void gdcm::Trace::WarningOff | ( |  | ) | `[static]`

Examples:
  TestReader.cxx.

static void gdcm::Trace::WarningOn | ( |  | ) | `[static]`

Examples:
  Fake_Image_Using_Stream_Image_Writer.cxx, and StreamImageReaderTest.cxx.

The documentation for this class was generated from the following file:

- gdcmTrace.h